# Reporting an Issue

Thank you for taking the time to contribute to Ao! ✨🎉

## Suggested quick smart steps

- Run through the [contributing guidelines](https://github.com/klauscfhq/ao/blob/master/contributing.md)
- Support questions are better asked in the project's [chat](https://gitter.im/tusk/Lobby). We will get back at you in a flash.
- Ensure the issue is not already reported

*Delete the above section and the content in the sections below before submitting your issue*

## Description

Please provide as much *relevant* info as possible

### Error Message (if any)

```
Copy the error message here
```

## Relevant Links (if any)

- Any link to an other project that you believe it might be relevant

## Environment

Tell us which operating system you are using, as well as which versions of [Ao](https://github.com/klauscfhq/ao/releases/latest).
Run the following script to get your OS info quickly.

```bash
node -e "const osInfo = require('os'); console.log('\n' + 'OS Type: ' + '\t' + osInfo.type() + '\n' + 'OS Platform:' + '\t' + osInfo.platform() + '\n' + 'OS Release: ' + '\t' + osInfo.release() + '\n' + 'Architecture: ' + '\t' + osInfo.arch() + '\n');"
```

## Additional Information

Include any additional information, configuration or data that might be necessary to reproduce the issue.
