<h1 align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/e64a6aae/media/list-navigation.gif" alt="Ao" width="100%">
      </a>
</h1>

> ✔️ Elegant Microsoft To-Do desktop app

[![Build Status](https://travis-ci.org/klauscfhq/ao.svg?branch=master)](https://travis-ci.org/klauscfhq/ao) [![Build status](https://ci.appveyor.com/api/projects/status/aau9e9amxaqrc6pw?svg=true)](https://ci.appveyor.com/project/klauscfhq/ao) [![Dependency Status](https://dependencyci.com/github/klauscfhq/ao/badge)](https://dependencyci.com/github/klauscfhq/ao) [![XO code style](https://img.shields.io/badge/code_style-XO-5ed9c7.svg)](https://github.com/klauscfhq/ao) [![Gitter](https://img.shields.io/gitter/room/nwjs/nw.js.svg)](https://gitter.im/klauscfhq/ao) [![Latest version](https://badge.fury.io/gh/klauscfhq%2Fao.svg)](https://github.com/klauscfhq/ao/releases) [![DLs](https://img.shields.io/github/downloads/klauscfhq/ao/total.svg)](https://github.com/klauscfhq/ao/releases)

## Description

Ao is an unofficial, open source, third-party, community driven, free Microsoft To-Do app with a handful of useful features.

Come over to our [Gitter](https://gitter.im/klauscfhq/ao) channel to share your thoughts on the project or to just say hi.

You can find more desktop apps [here](#related-apps).

## Contents

- [Description](#description)
- [Install](#install)
- [Features](#features)
  - [Vibrant Themes](#vibrant-themes) 🍎
  - [Sepia Theme](#sepia-theme)
  - [Black Theme](#black-theme)
  - [Dark Theme](#dark-theme)
  - [Compact Mode](#compact-mode)
  - [List Navigation](#note-navigation)
  - [Custom Shortcut Keys](#custom-shortcut-keys)
  - [Scalable Interface](#scalable-interface)
  - [Keyboard Shortcuts](#keyboard-shortcuts)
  - [Cross Platform](https://github.com/klauscfhq/ao/releases/latest)
  - Automagical Auto-updates ✔️
  - Desktop Notifications
  - Background Behavior
- [Related Apps](#related-apps)
- [Team](#team)
- [Disclaimer](#disclaimer)
- [License](#license)

<sup>🍎 Macos only atm</sup><br/>
<sup>✔️ Windows only atm</sup>

## Install

Head to the [releases](https://github.com/klauscfhq/ao/releases/latest) page and download the appropriate installer for your system.

## Features

### Vibrant Themes

Refreshing [dark](https://cdn.rawgit.com/klauscfhq/ao/55af062e/media/vibrant-dark-theme.png) and [light](https://cdn.rawgit.com/klauscfhq/ao/55af062e/media/vibrant-theme.png) vibrant themes. Press <kbd>Cmd</kbd> <kbd>Alt</kbd> <kbd>U</kbd> / <kbd>Cmd</kbd> <kbd>Alt</kbd> <kbd>J</kbd> to activate them respectively.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/7dfcf6cd/media/ao-vibrant.png" alt="Ao Vibrant Theme" width="100%">
      </a>
</div>

### Sepia Theme

Perfect for glossy screens. Activate it by pressing <kbd>Cmd/Ctrl</kbd> <kbd>G</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/3ff54861/media/sepia-theme.png" alt="Ao Sepia Theme" width="100%">
      </a>
</div>

### Black Theme

Deep focus materialized. Boost your productivity by pressing <kbd>Cmd/Ctrl</kbd> <kbd>W</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/1e56aee0/media/black-theme.png" alt="Ao Black Theme" width="100%">
      </a>
</div>

### Dark Theme

Silky & relaxing. Make it yours by pressing <kbd>Cmd/Ctrl</kbd> <kbd>H</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/125924ed/media/dark-theme.png" alt="Ao Dark Theme" width="100%">
      </a>
</div>

### Compact Mode

Get more for less. Simply downsize the window to enter the mode.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/68a0d849/media/compact-mode.png" alt="Ao Compact Mode" width="70%">
      </a>
</div>

### List Navigation

Navigate seamlessly between your lists by pressing <kbd>Cmd/Ctrl</kbd> <kbd>Tab</kbd> / <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>Tab</kbd> or jump directly to a specific list by using <kbd>Cmd/Ctrl</kbd> <kbd>1</kbd> - <kbd>9</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/e64a6aae/media/list-navigation.gif" alt="Note Navigation" width="100%">
      </a>
</div>

### Custom Shortcut Keys

Adjust Ao to your workflow. Navigate to `~/.ao.json` or press <kbd>Cmd/Ctrl</kbd> <kbd>.</kbd> and modify any shortcut key to your own preference. To reset simply delete the ao config file from your home directory.

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/ec52d820/media/custom-shortcut-keys.gif" alt="Custom Shortcut Keys" width="100%">
      </a>
</div>

### Scalable Interface

Adjust the zooming factor to your own preference by pressing <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>=</kbd> or <kbd>Cmd/Ctrl</kbd> <kbd>-</kbd>

<div align="center">
      <a href="https://github.com/klauscfhq/ao">
        <img src="https://cdn.rawgit.com/klauscfhq/ao/51d7d3d2/media/scalable-interface.gif" alt="Scalable Interface" width="100%">
      </a>
</div>

### Keyboard shortcuts

40+ keyboard shortcuts. Toggle anything in a flash.

Description                | Keys
-------------------------- | --------------------------
Toggle Window Menu         | <kbd>Alt</kbd>
Toggle Full Screen         | <kbd>F11</kbd>
Return to Todos            | <kbd>Esc</kbd>
New Todo                   | <kbd>Cmd/Ctrl</kbd> <kbd>N</kbd>
Delete Todo                | <kbd>Cmd/Ctrl</kbd> <kbd>D</kbd>
Rename Todo                | <kbd>Cmd/Ctrl</kbd> <kbd>T</kbd>
Search Todos               | <kbd>Cmd/Ctrl</kbd> <kbd>F</kbd>
Add Todo to My Day         | <kbd>Cmd/Ctrl</kbd> <kbd>K</kbd>
New List                   | <kbd>Cmd/Ctrl</kbd> <kbd>L</kbd>
Rename List                | <kbd>Cmd/Ctrl</kbd> <kbd>Y</kbd>
Toggle Sidebar             | <kbd>Cmd/Ctrl</kbd> <kbd>O</kbd>
Toggle My Day              | <kbd>Cmd/Ctrl</kbd> <kbd>M</kbd>
Toggle Cortana             | <kbd>Cmd/Ctrl</kbd> <kbd>E</kbd>
Toggle Dark Theme          | <kbd>Cmd/Ctrl</kbd> <kbd>H</kbd>
Toggle Sepia Theme         | <kbd>Cmd/Ctrl</kbd> <kbd>G</kbd>
Toggle Black Theme         | <kbd>Cmd/Ctrl</kbd> <kbd>W</kbd>
Toggle Settings            | <kbd>Cmd/Ctrl</kbd> <kbd>,</kbd>
Make Text Smaller          | <kbd>Cmd/Ctrl</kbd> <kbd>-</kbd>
Edit Shortcut Keys         | <kbd>Cmd/Ctrl</kbd> <kbd>.</kbd>
Reset Zoom Level           | <kbd>Cmd/Ctrl</kbd> <kbd>0</kbd>
Navigate to Next Note      | <kbd>Cmd/Ctrl</kbd> <kbd>Tab</kbd>
Jump to List               | <kbd>Cmd/Ctrl</kbd> <kbd>1</kbd> - <kbd>9</kbd>
Sign out                   | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>Q</kbd>
Toggle Vibrant Light Theme | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>U</kbd>
Toggle Vibrant Dark Theme  | <kbd>Cmd/Ctrl</kbd> <kbd>Alt</kbd> <kbd>J</kbd>
Delete List                | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>D</kbd>
Add Due Date               | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>T</kbd>
Reload Ao                  | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>R</kbd>
Set Reminder               | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>E</kbd>
Complete Todo              | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>N</kbd>
Hide Completed Todos       | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>H</kbd>
Toggle Dev Tools           | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>I</kbd>
Make Text Larger           | <kbd>Cmd/Ctrl</kbd> <kbd>Shift</kbd> <kbd>=</kbd>

## Related Apps

More awesome desktop apps.

- [Tusk](https://github.com/champloohq/tusk) - 🐘 Refined Evernote desktop app.

## Team

Coded with ❤ by

[![Klaus Sinani](https://avatars.githubusercontent.com/u/12670537?s=130)](https://github.com/klauscfhq) | [![Mario Sinani](https://avatars.githubusercontent.com/u/29512262?s=130)](https://github.com/mariocfhq) | [![Thanasis Gkanos](https://avatars1.githubusercontent.com/u/18072542?s=130)](https://github.com/ThanasisGkanos)
--- | --- | ---
[Klaus Sinani](https://github.com/klauscfhq) | [Mario Sinani](https://github.com/mariocfhq) | [Thanasis Gkanos](https://github.com/ThanasisGkanos)

## Disclaimer

Ao is an unofficial, open source, third-party, community driven, free app and is not affiliated in any way with Microsoft.

## License

[MIT](https://github.com/klauscfhq/ao/blob/master/license.md)
